﻿using System;
using System.Drawing;
using System.Web.Script.Serialization;

using MindFusion.Diagramming;
using MindFusion.Diagramming.WebForms;

using Image = System.Drawing.Image;
using Bitmap = System.Drawing.Bitmap;
using Graphics = System.Drawing.Graphics;


public partial class Default : System.Web.UI.Page
{
	protected void Page_Init(object sender, EventArgs e)
	{
		// register custom item types, their serialization identifiers and JavaScript class names
		// this class demonstrates custom drawing in Canvas mode, see Scripts/CustomNode.js
		diagramView.RegisterItemType(typeof(CustomNode), "CustomNode", "CustomNode", 100);
		diagramView.RegisterItemType(typeof(CustomLink), "CustomLink", "CustomLink", 100);

		// register converters for serializing .NET items into JSON objects
		diagramView.RegisterConverters(new JavaScriptConverter[]
		{ 
            new CustomNodeConverter(diagramView),
			new CustomLinkConverter(diagramView),
		});
	}

	protected void Page_Load(object sender, EventArgs e)
	{
		// let users draw CustomNode and CustomLink objects in Canvas mode
		diagramView.Behavior = Behavior.Custom;
		diagramView.CustomNodeType = typeof(CustomNode);
		diagramView.CustomLinkType = typeof(CustomLink);
	}

	protected void OnSubmitClick(object sender, EventArgs e)
	{
	}
}