﻿CustomLink = function (diagram, origin, destination)
{
	CustomLink.initializeBase(this, [diagram, origin, destination]);
	this.setLinkType(1);
	this.setHeadShape(null);

	this.icon1 = new Image();
	this.icon1.src = "Images/icon2.png";

	this.icon2 = new Image();
	this.icon2.src = "Images/icon3.png";
}

CustomLink.prototype =
{
	initialize: function ()
	{
		CustomLink.callBaseMethod(this, 'initialize');
	},

	dispose: function ()
	{
		CustomLink.callBaseMethod(this, 'dispose');
	},

	fromJson: function (json)
	{
		CustomLink.callBaseMethod(this, "fromJson", [json]);
		this.setLinkType(json.linkType);
		this.updateCanvasElements();
	},

	toJson: function ()
	{
		var data = CustomLink.callBaseMethod(this, "toJson");
		data.linkType = this.linkType;
		return data;
	},

	updateCanvasElements: function (node)
	{
		CustomLink.callBaseMethod(this, 'updateCanvasElements');

		// set image
		var point = this.points[this.points.length - 1];
		this.image = new MindFusion.Drawing.Image(
			new MindFusion.Drawing.Rect(point.x - 3, point.y - 3, 6, 6));

		if (this.linkType == 1)
		{
			this.image.image = this.icon1;
			this.image.loaded = this.icon1.complete;
		}
		else
		{
			this.image.image = this.icon2;
			this.image.loaded = this.icon2.complete;
		}

		this.graphicsContainer.content.push(this.image);
	},

	//properties
	getLinkType: function ()
	{
		return this.linkType;
	},

	setLinkType: function (value)
	{
		if (this.linkType !== value)
		{
			this.linkType = value;
			switch (this.linkType)
			{
				case 1:
					this.setStroke('red');
					break;
				case 2:
					this.setStroke('blue');
					break;
			}
		}
	}
};

if (typeof (Sys) !== 'undefined')
	Sys.Application.notifyScriptLoaded();